@echo off

set PGDATA=%APPDATA%\Sylph-Searcher\data
set DBNAME=sylph

if exist "%PGDATA%\PG_VERSION" goto done

pgsql\bin\initdb -E UTF-8 --no-locale
pgsql\bin\pg_ctl -w -s start
pgsql\bin\createdb %DBNAME%
pgsql\bin\psql -f sql\function.sql %DBNAME%
pgsql\bin\psql -f sql\create.sql %DBNAME%

echo ==================================
echo Database initialization completed.
echo ==================================

pgsql\bin\pg_ctl stop

done:
